package org.jeecg.modules.adweb.seo.service.dataforseo;

import io.github.dataforseo.client.ApiClient;
import io.github.dataforseo.client.api.SerpApi;
import io.github.dataforseo.client.auth.*;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * See https://docs.dataforseo.com/v3
 *
 * @author wfansh
 */
@Configuration
public class DataForSEOConfig {

    @Value("${dataforseo.username}")
    private String username;

    @Value("${dataforseo.password}")
    private String password;

    @Value("${dataforseo.api-path}")
    private String apiPath;

    @Bean
    public SerpApi serpApi() {
        ApiClient defaultClient = io.github.dataforseo.client.Configuration.getDefaultApiClient();
        defaultClient.setBasePath(apiPath);
        // HTTP超时 - 30秒
        defaultClient.setConnectTimeout(30 * 1000);

        // API认证方式 - basicAuth
        HttpBasicAuth basicAuth = (HttpBasicAuth) defaultClient.getAuthentication("basicAuth");
        basicAuth.setUsername(username);
        basicAuth.setPassword(password);

        return new SerpApi(defaultClient);
    }
}
